<?php

namespace YayMailCustomEmail\templateDefault;

defined( 'ABSPATH' ) || exit;

class DefaultCustomEmail {

	protected static $instance = null;

	public static function getInstance() {
		if ( null == self::$instance ) {
			self::$instance = new self();
		}

		return self::$instance;
	}

	public static function getTemplates( $customOrder, $emailHeading ) {
		$emailTitle        = __( $emailHeading, 'woocommerce' );
		$emailtext        = '<h2>Email Heading</h2>[yaymail_addon_custom_email_info]';

		// Elements
		$elements =
		'[{
			"id": "custom-email-logo",
			"type": "Logo",
			"nameElement": "Logo",
			"settingRow": {
				"backgroundColor": "#ECECEC",
				"align": "center",
				"pathImg": "",
				"paddingTop": "15",
				"paddingRight": "50",
				"paddingBottom": "15",
				"paddingLeft": "50",
				"width": "172",
				"url": "#"
			}
		}, {
			"id": "custom-email-title",
			"type": "ElementText",
			"nameElement": "Email Heading",
			"settingRow": {
				"content": "<h1 style=\"font-size: 30px; font-weight: 300; line-height: normal; margin: 0; color: inherit;\">' . $emailTitle . '</h1>",
				"backgroundColor": "#96588A",
				"textColor": "#ffffff",
				"family": "Helvetica,Roboto,Arial,sans-serif",
				"paddingTop": "36",
				"paddingRight": "24",
				"paddingBottom": "36",
				"paddingLeft": "24"
			}
		},{
			"id": "custom-email-text",
			"type": "ElementText",
			"nameElement": "Text",
			"settingRow": {
				"content": "' . $emailtext .' ",
				"backgroundColor": "#fff",
				"textColor": "#636363",
				"family": "Helvetica,Roboto,Arial,sans-serif",
				"paddingTop": "36",
				"paddingRight": "24",
				"paddingBottom": "36",
				"paddingLeft": "24"
			}
		},{
			"id": "custom-email-footer",
			"type": "ElementText",
			"nameElement": "Footer",
			"settingRow": {
				"content": "<p style=\"font-size: 14px;margin: 0px 0px 16px; text-align: center;\">[yaymail_site_name]&nbsp;- Built with <a style=\"color: #96588a; font-weight: normal; text-decoration: underline;\" href=\"https://woocommerce.com\" target=\"_blank\" rel=\"noopener\">WooCommerce</a></p>",
				"backgroundColor": "#ececec",
				"textColor": "#8a8a8a",
				"family": "Helvetica,Roboto,Arial,sans-serif",
				"paddingTop": "15",
				"paddingRight": "50",
				"paddingBottom": "15",
				"paddingLeft": "50"
			}
		}]';

		$templates = array(
			$customOrder => array(),
		);
		$templates[ $customOrder ]['elements'] = $elements;
		return $templates;
	}
}